/*********************************************************************
Project	:	GUSI				-	Grand Unified Socket Interface
File		:	GUSICfrg.r		-	Resources for shared library
Author	:	Matthias Neeracher
Language	:	MPW Rez 3.0

$Log: GUSI.r,v $
*********************************************************************/

#include "SysTypes.r"
#include "CodeFragmentTypes.r"

resource 'cfrg' (0) {
   {
      kPowerPC,				/* Target machine's Architecture. */
      kFullLib,				/* This is not an update. */
	  kNoVersionNum,				/* Current version. */
	  kNoVersionNum,				/* Definition version. */
	  kDefaultStackSize,		/* Stack size of application. */
	  kNoAppSubFolder,		/* Not used here.  Can be the resource-id of an 'alis'
	                           resource.  Used to provide additional location
							   		to search for libraries. */
	  kIsLib,					/* This is an shard library. */
	  kOnDiskFlat,          /* This code fragment is on disk, in the data fork. */
	  kZeroOffset,		    	/* Offset of code into data fork. */
	  kWholeFork,           /* Code takes up all of data fork (can give a size). */
	  "Perl"        			/* Name of application. */
   }
};

resource 'vers' (1) {
	0x04, 0x14, beta, 0x02, verUS,
	"4.1.4b2",
	"Perl - ported by Matthias Neeracher and Tim Endres."
	};
